<?php get_header(); $options = get_desing_plus_option(); ?>

<div id="main_contents" class="clearfix">

  <?php if (is_post_type_archive('news')) { ?>
  <h2 id="archive_headline"><span><?php _e('News Archives', 'tcd-w'); ?></span></h2>
  <?php } elseif (is_category()) { ?>
  <h2 id="archive_headline"><span><?php printf(__('Archive for the &#8216; %s &#8217; Category', 'tcd-w'), single_cat_title('', false)); ?></span></h2>
  <?php } elseif( is_tag() ) { ?>
  <h2 id="archive_headline"><span><?php printf(__('Posts Tagged &#8216; %s &#8217;', 'tcd-w'), single_tag_title('', false) ); ?></span></h2>
  <?php } elseif (is_day()) { ?>
  <h2 id="archive_headline"><span><?php printf(__('Archive for &#8216; %s &#8217;', 'tcd-w'), get_the_time(__('F jS, Y', 'tcd-w'))); ?></span></h2>
  <?php } elseif (is_month()) { ?>
  <h2 id="archive_headline"><span><?php printf(__('Archive for &#8216; %s &#8217;', 'tcd-w'), get_the_time(__('F, Y', 'tcd-w'))); ?></span></h2>
  <?php } elseif (is_year()) { ?>
  <h2 id="archive_headline"><span><?php printf(__('Archive for &#8216; %s &#8217;', 'tcd-w'), get_the_time(__('Y', 'tcd-w'))); ?></span></h2>
  <?php } elseif (is_author()) { ?>
  <?php global $wp_query; $curauth = $wp_query->get_queried_object(); //get the author info ?>
  <h2 id="archive_headline"><?php printf(__('Archive of %s', 'tcd-w'), $curauth->display_name ); ?></h2>
  <?php } elseif(is_archive()) { ?>
  <h2 id="archive_headline"><span><?php _e('Blog Archives', 'tcd-w'); ?></span></h2>
  <?php }; ?>
  <?php if ( have_posts() ) : ?>

  <div id="archive_post_list" class="clearfix">
   <?php while ( have_posts() ) : the_post(); ?>
   <div class="post_item clearfix">
    <?php if ( has_post_thumbnail()) { ?><a class="image" href="<?php the_permalink() ?>"><?php echo the_post_thumbnail('size2'); ?></a><?php }; ?>
    <div class="right_content">
   <ul class="meta clearfix">
	<?php if($options['show_date'] && $options['show_category']) : ?>
		<li class="post_category"><?php the_category(", ") ?></li><span class="separate">|</span><time class="entry-date pl10" updated" datetime="<?php echo get_the_date("Y-m-d") ?>"><?php echo get_the_date("Y.m.d") ?></time>
	<?php elseif($options['show_category']) : ?>
		<li class="post_category"><?php the_category(", ") ?></li>
	<?php elseif($options['show_date']) : ?>
		<time class="entry-date updated" datetime="<?php echo get_the_date("Y-m-d") ?>"><?php echo get_the_date("Y.m.d") ?></time>
	<?php endif; ?>
   </ul>
     <h3 class="title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
     <p class="excerpt"><?php if (has_excerpt()) { the_excerpt(); } else { new_excerpt(150); }; ?></p>
    </div>
   </div>
   <?php endwhile; ?>
  </div>
  <div id="load_post"><?php next_posts_link( __( 'Load more post', 'tcd-w' ) ); ?></div>

  <?php else: ?>
  <p class="no_post"><?php _e("There is no registered post.","tcd-w"); ?></p>
  <?php endif; ?>

</div>

<?php get_footer(); ?>