<?php get_header(); $options = get_desing_plus_option(); ?>

<div id="main_contents" class="clearfix">
  <?php get_template_part('breadcrumb'); ?>
  <h3 id="archive_headline"><span><?php printf(__('Search results for - %s', 'tcd-w'), get_search_query()); ?></span></h3>

  <?php if ( have_posts() ) : ?>

  <div id="archive_post_list" class="clearfix">
   <?php while ( have_posts() ) : the_post(); ?>
   <div class="post_item clearfix">
    <?php if ( has_post_thumbnail()) { ?><a class="image" href="<?php the_permalink() ?>"><?php echo the_post_thumbnail('size2'); ?></a><?php }; ?>
    <div class="right_content">
     <?php if ($options['show_date'] && $options['show_category']) { ?>
     <ul class="meta clearfix">
      <?php if ($options['show_date']){ ?><li class="post_date"><time class="entry-date updated" datetime="<?php the_modified_time('c'); ?>"><?php the_time('Y.n.j'); ?></time></li><?php }; ?>
      <?php if ($options['show_category']){ ?><?php if (!is_post_type_archive('news')) { ?><li class="post_category"><?php the_category(', '); ?></li><?php }; ?><?php }; ?>
     </ul>
     <?php }; ?>
     <h3 class="title"><a href="<?php the_permalink() ?>"><?php the_title(); ?></a></h3>
     <p class="excerpt"><?php if (has_excerpt()) { the_excerpt(); } else { new_excerpt(150); }; ?></p>
    </div>
   </div>
   <?php endwhile; ?>
  </div>
  <div id="load_post"><?php next_posts_link( __( 'Load more post', 'tcd-w' ) ); ?></div>

  <?php else: ?>
  <p class="no_post"><?php _e("There is no registered post.","tcd-w"); ?></p>
  <?php endif; ?>

</div>

<?php get_footer(); ?>
